Subject: SUMMARY: DOS Program or Utility to read Apple II floppies
From: [email-masked] (Chris Norley)
Date: Mon, 14 Jun 1993 15:07:28 GMT
Newsgroups: comp.binaries.ibm.pc.d,comp.binaries.ibm.pc.wanted,comp.sys.ibm.pc.hardware,comp.sys.ibm.pc.misc,comp.sys.apple2

A while back I requested some information regarding the reading of
Apple II floppies by an PC. There was a hugh response both in solutions and
requests for a summary of solutions.
	A number of folks said that it couldn't be done due to low level
hardware differences. These responses, unless they mention some solution,
have been omitted because others have offered some practical way around
the problem.
	Thanks to all who responded.

ORIGINAL POST:
--------------------------------------------------------------------------------

		We have some old data from a small NMR spectrometer that was
run from an Apple IIe. The same spectrometer is now run from a DOS machine
and we'd like to be able to access the old data from the PC.
	Does anyone know of or possess some utility to allow the data from
the 5 1/4" Apple II floppies to be read from the PC? Any hints as to program
names, ftp sites, etc. would be greatly appreciated.

SUMMARY OF RESPONSES:
--------------------------------------------------------------------------------

Neal Krawetz
[email-masked] Mon May 10 21:46:30 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: Texas A&M University, College Station, TX

Disk to disk is not possible.  The Apple ][e computers use a computer timing
method, while the IBM computers use the "dot" for disk sync.  Since the
Apple disks don't use the "dot" sync (the small hole near the center of the
disk that is used for RPM timing), IBM drives can't read it.

Your best bet is to hook a serial cable between the Apple and IBM, have a
terminal program ready to receive ascii data on the IBM side, and have
the Apple print the files out the serial card (I assume you have a Super
serial card).  This is what we did.  I don't remember the baud/bits/etc.
necessary, but I do remember that all serial configurations must be done on
the IBM side -- the super-serial card is a very dumb serial card and demands
to be the "master".  The IBM "slave" must configure to the master.

You may be able to connect parallel ports and transfer that way, but I
wouldn't hold my breath.  To print files out the serial card, use Copy ][+
and set the printer the the serial card.  Then, just view and print the
files.
This isn't fast, but it's the only way I know of (we spent nearly 3 months
trying to transfer information, and this method was the fastest).

--------------------------------------------------------------------------------

Paul Schlyter
>From [email-masked] Tue May 11 03:47:35 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: SAAF, Svensk Amat|rAstronomisk F|rening
Swedish Amateur Astronomer's Society (SAAF)
Nybrogatan 75 A, 6 tr,  S-114 40 Stockholm,  Sweden
[email-masked]

Sorry, no such program exists.  The MFM floppy disk unit on the PC is
unfortunately unable to read the GCR encoded Apple II disks.

To read Apple II disks on a PC, a special hardware addition (a disk
controller able to deal with GCR coding) is needed.

DO you have an Apple II available?  THe easiest way to get the data to
the PC will then probably be to hook up a serial cable between the
Apple and the PC, and then transfer the data through the serial cable.

--------------------------------------------------------------------------------

>From [email-masked] Tue May 11 04:57:30 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: ProLine [pro-nsdapple] - North San Diego Apple Users Group
Internet: [email-masked]
UUCP:     crash!pro-nsdapple!tomk
ARPA:     [email-masked]

The cheapest method to get the data would to do a "NULL MODEM" transfer
between the two computers.

--------------------------------------------------------------------------------

>From [email-masked] Tue May 11 11:12:19 1993
To: [email-masked] (Chris Norley)
Subject: Re: DOS Program or Utility to read Apple II floppies
Cc: [email-masked]

>From news:

From: [email-masked] (Les Ferch)
Subject: Re: Apple 2 disk reader for the IBM
Date: 5 May 93 08:52:09 GMT
Organization: The University of British Columbia

In <[email-masked]> [email-masked] (Rudolph_Jan
HEITBAUM) writes: 
>I need to read an apple 2 disk in my IBM, is it possible ??
>if so where can I get the software ( preferably free/share ware)

It can't be done with software alone. There is a card called the
MatchPoint PC card that will let you read and write Apple II DOS, ProDOS,
and CP/M disks on a PC 5.25" 360K drive. We used to have one installed in
an XT here and it worked fine. 

The other common way of moving the data is to connect an Apple II to a PC
using a null modem cable and using comm programs such as Kermit to
transfer the data. 

Another way is to first copy the data from the Apple II 5.25" disk to an
Apple II 3.5" disk (IIgs owners usually have both drive types--check your
local user group). Then start up Apple File Exchange on a Mac and read the
files from the Apple II 3.5" disk to the Mac hard disk. Finally, still
using Apple file exchange, pop in a PC 720K or 1.44M 3.5" disk and copy
the files from the Mac hard drive to the PC disk. Whew. 

Viele Gruesse
Uli

--------------------------------------------------------------------------------

>From [email-masked] Tue May 11 13:56:32 1993
Subject: getting info off apple II disk

	I can think of a kludgy way to do it, if there isn't program that does
it in DOS.  I am certain you can get a mac to read apple II data and/or get
an apple II to write to a mac disk, with the right hardware.  Once you get the
data into a mac, if you have pc exchange, a mac drive can write out to a dos
disk.  

--------------------------------------------------------------------------------

Curt Schroeder
>From [email-masked] Tue May 11 16:09:39 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: University of Missouri - Rolla

It is not possible for a 5.25" PC floppy drive to read Apple II disks.  They
use incompatible recording technologies.  Your options are to get your data
into an Apple that can write MS-DOS 3.5" disks (Apple IIgs or Macintosh) or
transfer via serial link (either via modem or null-modem cable).  The other
possibility is to use and Apple II equipped with a PC Transporter and either
has a 3.5" drive or 5.25" PC floppy drive(s) attached.

--------------------------------------------------------------------------------

Michael Hoffberg
>From [email-masked] Wed May 12 11:43:39 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: Argonne National Laboratory, Chicago Illinois

About a year ago, I picked up card for my ibm made by trackstarr.  It
is basically an apple II that sits inside your IBM.  When you enable
it, it can boot off an apple drive, it uses the ibm keyboard and
monitor. 

When I go home I only use it to play moon patrol (I am too lazy to
find my other games).

In any case, I think that it is possible to transfer files between the
ibm and apple with the card.  I have never tried it though.

On the net there is also an apple II emulator.  I don't think that it
can read the apple disks, but they might have made improvements to it.

--------------------------------------------------------------------------------

>From [email-masked] Wed May 12 12:09:33 1993
Subject: Re: DOS Program or Utility to read Apple II floppies
Organization: Nyx, Public Access Unix @ U. of Denver Math/CS dept.

	You can't. The Apple II uses a totally different disk encoding 
than the rest of the world does. The only way to do it would to buy an 
old Apple II at a garage sale, and hook the two together with a 
serial cable. 

If you had them on 3.5" disks, there is a hardware solution that might work, 
but then again, it would be just as easy to find someone with an existing 
Apple II that would change the disk formats for you. 

--------------------------------------------------------------------------------

Fred R. Opperdoes
>From [email-masked] Wed May 12 14:31:27 1993
To: [email-masked]
Subject: Converting AppleIIe files to MsDOS

Any Apple II (E or GS) owner having an Applied Engineering PC card is able
to do the job easily. It is maybe not easy to find such a person in your
neighborhood. Another possibility would be that you ask someone with an
Apple IIGS to have your 5 1/4" Dos 3.3 or Prodos disk transcribed to a 3.5"
Prodos disk. Every IIGS owner would be able to do so. Files on such disks
can then easily be converted to MsDOS files on an MsDOS disk on a Macintosh
using the Apple File Exchange Utility that comes with every modern Mac.
If you have any more questions please don't hesitate to send me a mail.

--------------------------------------------------------------------------------

Leo Connolly
>From [email-masked] Thu May 13 10:20:36 1993
Subject: Re: DOS Program or Utility to read Apple II floppies

I don't think this is doable.  There are limitations in the PC drive hardware
which make it impossible to read Apple II disks.  (And the same is true in
reverse, for exactly the same reasons).

I suggest the following.

	Transfer the Apple II data to a 3.5" disk.  This is easy on a
	IIGS if you use a utility such as Copy II Plus.

	Use Apple File Convert on a Macintosh to convert the Apple II
	files to MS-DOS format.  Caution: older versions of this utility
	cannot handle MS-DOS 3.5" disks, but the newer ones can.

Or: send your data through a modem from the Apple to the PC.

--------------------------------------------------------------------------------

Gasman
>From [email-masked] Fri May 14 12:48:21 1993
Subject: Solution
Reply-To: [email-masked]

Simple: hook your IIe and your IBM together through the serial port,
use a com program, and ul/dl.

--------------------------------------------------------------------------------

Leonard Erickson
>From [email-masked] Sat May 15 00:52:38 1993
To: [email-masked]
Subject: Re: DOS Program or Utility to read Apple II floppies
Reply-To: [email-masked]

It can't be done without extra hardware. The Apple II didn't use a 
disk controller chip, it used an odd circuit instead. So, machines
using the industry standard controller chips can't read Apple disks.

You'll need a COPYIIPC deluxe option board or some such. Check with
Central Point software, they used to sell them.

Another approach is to track down one of the add-on boards that was
essentially an Apple II on a PC card. It hooks to the 5.25" drive and

plugs into the bus. And you've got an Apple II in your PC.

--------------------------------------------------------------------------------

	Thanks again to all who responded.

Elrat,
CN.
-- 
Chris Norley | Imaging Research Labs | Robarts' Research Institute
University Of Western Ontario | Phone: (519)663-5777 x4135 | Fax: (519)663-3789
P.O. Box 5015, 100 Perth Drive, London, Ont., Canada, N6A 5K8
Email: [email-masked]  ... with a led-filled snowshoe.